Subject: bug#35389: 27.0.50; [PATCH] Emacs on macOS sets mouse-wheel variables directly

From: Eli Zaretskii <[email-masked]>
Date: Mon, 13 May 2019 17:26:18 +0300

> From: Tak Kunihiro <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked],  [email-masked]
> Cc: [email-masked]
> Date: Mon, 13 May 2019 08:29:28 +0900
> 
> >> (1 ((shift) . 5) ((control)))
> >
> > No, I don’t think it was discussed at all. As I said I think it was
> > just thrown out there and nobody commented so it made it right
> > through. I don’t think it matters at all if we want to do something
> > different.
> 
> I think I proposed to change the default to that value before.  What was
> in my mind is to maintain controlling amount of scroll by shift key.
> 
>   1. Current default (5 ((shift) . 1) ((control))) with acceleration,
>   the only concern is to scroll less.  My muscle leaned to control speed
>   of scroll by pressing shift.
>   
>   2. Value (1 ((shift) . 1) ((control))) works good for me.  I never
>   think about speeding down the scroll.  Occasionally I want to speed up
>   scroll.
> 
>   3. Value (1 ((shift) . 5) ((control))) is good for typical scroll and
>   occasional fast scroll with the muscle memory.

Item 3, the current default on macOS, makes Shift have the opposite
effect from what it produces on other platforms.  Which is in general
against our policy, AFAIU.